@echo off
echo ==========================================================================
echo =                   2K Hockey roster data import script                  =
echo ==========================================================================
echo ====== This runs a full import flow using all the 2K Utility tools =======
echo = Refer to this file in order to understand how the programs can be used =
echo ==========================================================================
echo Input full path to roster file: 
set /P "ROSTERFILE="
REM set ROSTERFILE="X:\GAMES\NHL2K\User\Wii\title\00010000\53483345\data\NHL2K19.ROS"
set CSVIMPORTPATH=%~dp0
set PYTHON=
set UTILITYPATH=%~dp0\..
set DEPTHCSVCMD=%UTILITYPATH%\UtDepthChartCsvImport.exe
set MERGECSVCMD=%UTILITYPATH%\UtPlayerCsvMerge.exe
set FRANCHISECSVCMD=%UTILITYPATH%\UtPlayerFranchiseAdjust.exe
set UPDATE2KCMD=%UTILITYPATH%\Ut2K.exe
set ATTRFROMSTATCMD=%UTILITYPATH%\UtPlayerAttributesFromStatCsv.exe
set ATTRDEPTHADJCMD=%UTILITYPATH%\UtPlayerAttributesDepthChartAdjust.exe
set DEFAULTROSTERCSV="%CSVIMPORTPATH%\base\DefaultPlayers.csv"
set DEPTHCHARTCSV="%CSVIMPORTPATH%\import\2020-06-28-1000-capfriendly-depthchart-20.csv"
set HR19CSV="%CSVIMPORTPATH%\import\2019-10-22-0644-hockeyreference-19.csv"
set HR20CSV="%CSVIMPORTPATH%\import\2019-10-17-1158-hockeyreference-20.csv"
set HRMAPPINGCSV="%CSVIMPORTPATH%\mapping\hockeyreference-mapping.csv"
set HUTDBSKATERS19CSV="%CSVIMPORTPATH%\import\2019-10-26-1903-hutdb-skaters-19.csv"
set HUTDBGOALIES19CSV="%CSVIMPORTPATH%\import\2019-10-26-1859-hutdb-goalies-19.csv"
set HUTDBSKATERS20CSV="%CSVIMPORTPATH%\import\2019-10-17-1159-hutdb-skaters-20.csv"
set HUTDBGOALIES20CSV="%CSVIMPORTPATH%\import\2019-10-17-1217-hutdb-goalies-20.csv"
set HUTDBMAPPINGCSV="%CSVIMPORTPATH%\mapping\hutdb-mapping.csv"
set CAPFRIENDLYMAPPINGCSV="%CSVIMPORTPATH%\mapping\capfriendly-mapping.csv"
set TRUESIMSKATERS20CSV="%CSVIMPORTPATH%\import\2019-11-03-1529-truesim-skaters-20.csv"
set TRUESIMGOALIES20CSV="%CSVIMPORTPATH%\import\2019-11-03-1532-truesim-goalies-20.csv"
set TRUESIMMAPPINGCSV="%CSVIMPORTPATH%\mapping\truesim-mapping.csv"
set CONTRACTCSV="%CSVIMPORTPATH%\import\2020-05-03-1037-spotrac-contracts-1920.csv"
set CONTRACTMAPPINGCSV="%CSVIMPORTPATH%\mapping\spotrac-mapping.csv"
set CAPTAINCSV="%CSVIMPORTPATH%\import\2020-05-17-1410-wikipedia-captains-1920.csv"
set CAPTAINMAPPINGCSV="%CSVIMPORTPATH%\mapping\wikipedia-mapping.csv"
set STATSTHISSEASONCSV="%CSVIMPORTPATH%\import\2020-06-12-2124-hockeyreferencestats-skater-1920.csv"
set STATSLASTSEASONCSV="%CSVIMPORTPATH%\import\2019-11-20-2056-hockeyreferencestats-skater-1819.csv"
set FROMSTATSCSV="%CSVIMPORTPATH%\result\FROMSTATS.csv"
set FROMSTATSMAPPINGCSV="%CSVIMPORTPATH%\mapping\hockeyreferencestats-mapping.csv"
set SPORTLOGIQGOALIES20CSV="%CSVIMPORTPATH%\import\2020-06-23-1247-sportlogiq-goalies-20.csv"
set SPORTLOGIQGOALIESMAPPINGCSV="%CSVIMPORTPATH%\mapping\sportlogiq-goalies-mapping.csv"
set OLDBASECSV="%CSVIMPORTPATH%\result\NHL2K.ROS.OLDBASE.csv"
set BASECSV="%CSVIMPORTPATH%\result\NHL2K.ROS.NEWBASE.csv"
set TMPBASECSV="%CSVIMPORTPATH%\result\tmpbase.csv"
set TMP0CSV="%CSVIMPORTPATH%\result\tmp0.csv"
set TMP1CSV="%CSVIMPORTPATH%\result\tmp1.csv"
set TMP2CSV="%CSVIMPORTPATH%\result\tmp2.csv"
set TMP3CSV="%CSVIMPORTPATH%\result\tmp3.csv"
set TMP4CSV="%CSVIMPORTPATH%\result\tmp4.csv"
set TMP5CSV="%CSVIMPORTPATH%\result\tmp5.csv"
set TMP6CSV="%CSVIMPORTPATH%\result\tmp6.csv"
set TMP7CSV="%CSVIMPORTPATH%\result\tmp7.csv"
set TMP8CSV="%CSVIMPORTPATH%\result\tmp8.csv"
set TMP9CSV="%CSVIMPORTPATH%\result\tmp9.csv"
set TMP10CSV="%CSVIMPORTPATH%\result\tmp10.csv"
set TMP11CSV="%CSVIMPORTPATH%\result\tmp11.csv"
set TMP12CSV="%CSVIMPORTPATH%\result\tmp12.csv"
set TMP13CSV="%CSVIMPORTPATH%\result\tmp13.csv"
set OUTPUTCSV="%CSVIMPORTPATH%\result\NHL2K.ROS.csv"
REM All this just to put datetime in filename...
set CUR_YYYY=%date:~0,4%
set CUR_DT=%date:~6,4%
set CUR_HH=%time:~0,2%
if %CUR_HH% lss 10 (set CUR_HH=0%time:~1,1%)
set CUR_NN=%time:~3,2%
set CUR_SS=%time:~6,2%
set CUR_MS=%time:~9,2%
set SUBFILENAME=%CUR_YYYY%-%CUR_DT%-%CUR_HH%%CUR_NN%%CUR_SS%
set LOGFILE="%CSVIMPORTPATH%\log_%SUBFILENAME%.txt"

cd %UTILITYPATH%
echo Create the attribute CSV file based on real statistics
%PYTHON% %ATTRFROMSTATCMD% %STATSTHISSEASONCSV% %STATSLASTSEASONCSV% %FROMSTATSMAPPINGCSV% %FROMSTATSCSV% >> %LOGFILE%

echo Make a new base from the depth chart
%PYTHON% %DEPTHCSVCMD% %DEFAULTROSTERCSV% %DEPTHCHARTCSV% %CAPFRIENDLYMAPPINGCSV% %BASECSV% >> %LOGFILE%
REM pause

echo Export current game data to CSV
%PYTHON% %UPDATE2KCMD% %ROSTERFILE% export %OLDBASECSV% >> %LOGFILE%
REM pause

echo Merge new base with old base => Import player data into the depth chart
%PYTHON% %MERGECSVCMD% %BASECSV% %OLDBASECSV% %CAPFRIENDLYMAPPINGCSV% %TMPBASECSV% >> %LOGFILE%
REM pause

echo Merge CSV files to create the final CSV to be imported back to the game
%PYTHON% %MERGECSVCMD% %TMPBASECSV% %HR20CSV% %HRMAPPINGCSV% %TMP0CSV% >> %LOGFILE%
%PYTHON% %MERGECSVCMD% %TMP0CSV% %HR19CSV% %HRMAPPINGCSV% %TMP1CSV% >> %LOGFILE%
%PYTHON% %MERGECSVCMD% %TMP1CSV% %HR20CSV% %HRMAPPINGCSV% %TMP2CSV% >> %LOGFILE%
%PYTHON% %MERGECSVCMD% %TMP2CSV% %HUTDBSKATERS19CSV% %HUTDBMAPPINGCSV% %TMP3CSV% >> %LOGFILE%
%PYTHON% %MERGECSVCMD% %TMP3CSV% %HUTDBGOALIES19CSV% %HUTDBMAPPINGCSV% %TMP4CSV% >> %LOGFILE%
%PYTHON% %MERGECSVCMD% %TMP4CSV% %HUTDBSKATERS20CSV% %HUTDBMAPPINGCSV% %TMP5CSV% >> %LOGFILE%
%PYTHON% %MERGECSVCMD% %TMP5CSV% %HUTDBGOALIES20CSV% %HUTDBMAPPINGCSV% %TMP6CSV% >> %LOGFILE%
%PYTHON% %MERGECSVCMD% %TMP6CSV% %TRUESIMSKATERS20CSV% %TRUESIMMAPPINGCSV% %TMP7CSV% >> %LOGFILE%
%PYTHON% %MERGECSVCMD% %TMP7CSV% %TRUESIMGOALIES20CSV% %TRUESIMMAPPINGCSV% %TMP8CSV% >> %LOGFILE%
%PYTHON% %MERGECSVCMD% %TMP8CSV% %CONTRACTCSV% %CONTRACTMAPPINGCSV% %TMP9CSV% >> %LOGFILE%
%PYTHON% %MERGECSVCMD% %TMP9CSV% %CAPTAINCSV% %CAPTAINMAPPINGCSV% %TMP10CSV% >> %LOGFILE%
%PYTHON% %MERGECSVCMD% %TMP10CSV% %FROMSTATSCSV% %FROMSTATSMAPPINGCSV% %TMP11CSV% >> %LOGFILE%
%PYTHON% %MERGECSVCMD% %TMP11CSV% %SPORTLOGIQGOALIES20CSV% %SPORTLOGIQGOALIESMAPPINGCSV% %TMP12CSV% >> %LOGFILE%
%PYTHON% %MERGECSVCMD% %TMP12CSV% %DEPTHCHARTCSV% %CAPFRIENDLYMAPPINGCSV% %TMP13CSV% >> %LOGFILE%

echo Adjust ages and salaries to match ingame year and franchise salary cap
%PYTHON% %FRANCHISECSVCMD% %TMP13CSV% %OUTPUTCSV%.beforeNormalize >> %LOGFILE%
REM DEL %TMP0CSV%
REM DEL %TMP1CSV%
REM DEL %TMP2CSV%
REM DEL %TMP3CSV%
REM DEL %TMP4CSV%
REM DEL %TMP5CSV%
REM DEL %TMP6CSV%
REM DEL %TMP7CSV%
REM DEL %TMP8CSV%
REM DEL %TMP9CSV%
REM DEL %TMP10CSV%
REM DEL %TMP11CSV%
REM DEL %TMP12CSV%
REM DEL %TMP13CSV%

echo Adjust attributes to match depth chart
echo ADJUSTING DATA FOR DEPTH CHART... >> %LOGFILE%
%PYTHON% %ATTRDEPTHADJCMD% %OUTPUTCSV%.beforeNormalize %DEPTHCHARTCSV% %FROMSTATSMAPPINGCSV% %OUTPUTCSV% >> %LOGFILE%
echo ADJUSTING DATA FOR DEPTH CHART COMPLETED! >> %LOGFILE%

echo Import the new CSV into the game
%PYTHON% %UPDATE2KCMD% %ROSTERFILE% import %OUTPUTCSV% >> %LOGFILE%

echo Imports complete!